<div class="text-center mt-3">
  <h2>Your matches - {{pagination.totalItems}} found</h2>
</div>

<div class="container mt-3">

    <form class="form-inline" #form="ngForm" (ngSubmit)="loadUsers()"novalidate>
        <div class="form-group">
          <label for="minAge">Age From</label>
          <input type="number" class="form-control ml-1" style="width: 70px" id="minAge"
            [(ngModel)]="userParams.minAge" name="minAge">
        </div>
      
        <div class="form-group px-2">
          <label for="maxAge">Age To</label>
          <input type="number" class="form-control ml-1" style="width: 70px" id="maxAge"
            [(ngModel)]="userParams.maxAge" name="maxAge">
        </div>
      
        <div class="form-group px-2">
          <label for="gender">Show: </label>
          <select class="form-control ml-1" style="width: 130px" id="gender" 
            [(ngModel)]="userParams.gender" name="gender" (change)="genderChange()">
            <option *ngFor="let gender of genderList" [value]="gender.value">
              {{gender.display}}
            </option>
          </select>
        </div>
        <button type="submit" class="btn btn-primary" style="margin-left:10px">Apply Filters</button>
        <button type="button" class="btn btn-info" (click)="resetFilters()" style="margin-left:10px">Reset Filter</button>
      
        <div class="col">
          <div class="btn-group float-right">
            <button type="button" name="orderBy" class="btn btn-primary" (click)="loadUsers()" [(ngModel)]="userParams.orderBy" btnRadio="lastActive">Last Active</button>
            <button type="button" name="orderBy" class="btn btn-primary" (click)="loadUsers()" [(ngModel)]="userParams.orderBy" btnRadio="created">Newest Members</button>
          </div>
        </div>

      </form>
      <br>

  <div class="row">
    <div *ngFor="let user of users" class="col-lg-2 col-md-3 col-sm-6">
      <app-member-card [user]="user"></app-member-card>
    </div>
  </div>
</div>

<div class="d-flex justify-content-center">
  <pagination [boundaryLinks]="true" 
            [totalItems]="pagination.totalItems"
            [itemsPerPage]="pagination.itemsPerPage"
            [(ngModel)]="pagination.currentPage"
            (pageChanged)="pageChanged($event)"
            previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;">
  </pagination>
</div>